<?php
/**
 * This file describes the hooks this module exposes.
*/


/**
    This hook allows a developer to have a chance to hook in when the user type is
    being determined, to return either TRUE or FALSE, after examining the raw $ldap_result
    returned from the LDAP server.
 * 
 *  Looks at the ldap result to determine if this person's is_{type} flag should be set in the db.
 * 
 *   @see ldap_get_user_is_type_from_result()
 * 
 *  $type will be either "student" or "faculty". "faculty" is a catch-all term which also refers to staff.
 * 
 */
function hook_ldap_determine_user_type($type, $ldap_result) {
  
  // Example code:
  
  if ($type == "student") {
    if ($ldap_result['student_flag'][0] == "yes") {
      return TRUE;
    }
  }
  
  return FALSE;
  
}